import {create} from 'zustand'

export interface LocalStore {
    id: string;
    name: string;
    set: (id: string, name: string) => void;
}

export const useLocalStore = create<LocalStore>()((_set, get) => ({
    id: '',
    name: '',
    set: (id: string, name: string) => {
        _set(state => {
            return {...state, id: id, name: name};
        })
    }
}))